Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056645 - Make HumanTask transaction interceptor thread safe
Summary: Make HumanTask transaction interceptor thread safe
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: 6.0.1
Assignee: Maciej Swiderski
QA Contact: Jiri Svitak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 15:55 UTC by Maciej Swiderski
Modified: 2015-06-02 01:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:01:48 UTC
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4227 Major Resolved Make HumanTask transaction interceptor thread safe 2015-05-07 12:03:05 UTC

Description Maciej Swiderski 2014-01-22 15:55:09 UTC
Description of problem:
corresponding BZ for jira https://issues.jboss.org/browse/JBPM-4227 to be considered for product back port 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Maciej Swiderski 2014-01-22 19:28:19 UTC
fixed on master by unifying the interceptor with how singlesessioncommandservice is implemented - execute method is synchronized to make the persistence thread safe

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/79c5cff7f4f22d2ff1be339df88df31b37d8f47c

waiting for acks for back port

Comment 3 JBoss JIRA Server 2014-01-22 19:31:10 UTC
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4227 to Resolved

Comment 6 Maciej Swiderski 2014-01-28 12:46:22 UTC
backported to 6.0.x:

jbpm
6.0.x:
https://github.com/droolsjbpm/jbpm/commit/dd4cfe0c46c39ef538f50775279f0d3e60cbdcb0

Comment 7 Jiri Svitak 2014-03-03 08:11:32 UTC
Verified in BPMS 6.0.1.ER1.


Note You need to log in before you can comment on or make changes to this bug.